%global pkg_name        File-Find-Rule-Permissions
%global pkg_version     1.3
%global rpm_pkg_version 1.3
%global rpm_pkg_release 1.n0i.1

Summary:       Rule to match on file permissions and user access
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       GPL+ or Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/modules/by-module/File/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: rpm-build-reb00t-perl
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Find::Rule)      >= 0.1
BuildRequires: perl(Devel::AssertOS::Unix) >= 1.0


%description
An extension for File::Find::Rule to work with file permission bits
and determine whether a given user can read, write or execute files.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc CHANGES README


%changelog
* Wed Oct 03 2007 Marius Feraru <altblue@n0i.net> - 1.3-1.n0i.1
- spec file (re)created using N0i::CPAN::RPMizer/1.14.11
- version 1.3
